Arch API

From FreeCAD Documentation
Revision as of 18:34, 28 November 2018 by Vocx (talk | contribs) (Created page with "<languages/> <translate> {{VeryImportantMessage|(November 2018) The Arch API is listed in the [https://www.freecadweb.org/api autogenerated API documentation].}} The function...")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
(November 2018) The Arch API is listed in the autogenerated API documentation.

The functions of the API are part of the Arch Workbench and can be used in macros and from the Python console once the Arch module has been imported.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)

Arch.makeWall(baseline, length=None, width=200, height=2000)